@startuml

skinparam handwritten true

start

:loadSpec()|

while (step(0..n).group().data() ?)
    if (isUpdatingGroup() ?) then (yes)
        :type(data).get(request)|
    else
        :type(data).get(spec)|
    endif
end while

:model<

:sort(data elements)|

note left
    sort by display conditions, none first
end note


while (group(id).data() ?)
    if (data.isDisplayed(mergedModel)) then (no)
        :set(null)|
    endif
endwhile

stop

@enduml